## com.sun.jersey.core.spi.component.ioc
Interface IoCComponentProvider

All Superinterfaces:
  ComponentProvider

All Known Subinterfaces:
  IoCFullyManagedComponentProvider, IoCInstantiatedComponentProvider, IoCManagedComponentProvider, IoCProxiedComponentProvider

    public interface IoCComponentProvider

extends ComponentProvider

An IoC-based component provider.

This is a base interface for particular specializations of IoC-based component providers that vary in terms of responsibility for managing components.

Author:
  Paul.Sandoz@Sun.Com

Method Summary

Methods inherited from interface com.sun.jersey.core.spi.component.ComponentProvider
`getInstance`

Copyright © 2017 Oracle Corporation. All Rights Reserved.